diff --git a/guava-tests/test/com/google/common/collect/ObjectArraysTest.java b/guava-tests/test/com/google/common/collect/ObjectArraysTest.java
index 32d043f..66dac62 100644
--- a/guava-tests/test/com/google/common/collect/ObjectArraysTest.java
+++ b/guava-tests/test/com/google/common/collect/ObjectArraysTest.java
@@ -18,8 +18,6 @@ package com.google.common.collect;
 
 import static com.google.common.truth.Truth.assertThat;
 
-import com.google.common.annotations.GwtCompatible;
-import com.google.common.annotations.GwtIncompatible;
 import com.google.common.testing.NullPointerTester;
 import java.io.Serializable;
 import java.util.Arrays;
@@ -31,23 +29,22 @@ import junit.framework.TestCase;
  *
  * @author Kevin Bourrillion
  */
-@GwtCompatible(emulated = true)
 public class ObjectArraysTest extends TestCase {
 
-  @GwtIncompatible // NullPointerTester
+  // NullPointerTester
   public void testNullPointerExceptions() {
     NullPointerTester tester = new NullPointerTester();
     tester.testAllPublicStaticMethods(ObjectArrays.class);
   }
 
-  @GwtIncompatible // ObjectArrays.newArray(Class, int)
+  // ObjectArrays.newArray(Class, int)
   public void testNewArray_fromClass_Empty() {
     String[] empty = ObjectArrays.newArray(String.class, 0);
     assertEquals(String[].class, empty.getClass());
     assertThat(empty).isEmpty();
   }
 
-  @GwtIncompatible // ObjectArrays.newArray(Class, int)
+  // ObjectArrays.newArray(Class, int)
   public void testNewArray_fromClass_Nonempty() {
     String[] array = ObjectArrays.newArray(String.class, 2);
     assertEquals(String[].class, array.getClass());
@@ -55,7 +52,7 @@ public class ObjectArraysTest extends TestCase {
     assertNull(array[0]);
   }
 
-  @GwtIncompatible // ObjectArrays.newArray(Class, int)
+  // ObjectArrays.newArray(Class, int)
   public void testNewArray_fromClass_OfArray() {
     String[][] array = ObjectArrays.newArray(String[].class, 1);
     assertEquals(String[][].class, array.getClass());
@@ -83,28 +80,28 @@ public class ObjectArraysTest extends TestCase {
     assertNull(array[0]);
   }
 
-  @GwtIncompatible // ObjectArrays.concat(Object[], Object[], Class)
+  // ObjectArrays.concat(Object[], Object[], Class)
   public void testConcatEmptyEmpty() {
     String[] result = ObjectArrays.concat(new String[0], new String[0], String.class);
     assertEquals(String[].class, result.getClass());
     assertThat(result).isEmpty();
   }
 
-  @GwtIncompatible // ObjectArrays.concat(Object[], Object[], Class)
+  // ObjectArrays.concat(Object[], Object[], Class)
   public void testConcatEmptyNonempty() {
     String[] result = ObjectArrays.concat(new String[0], new String[] {"a", "b"}, String.class);
     assertEquals(String[].class, result.getClass());
     assertThat(result).asList().containsExactly("a", "b").inOrder();
   }
 
-  @GwtIncompatible // ObjectArrays.concat(Object[], Object[], Class)
+  // ObjectArrays.concat(Object[], Object[], Class)
   public void testConcatNonemptyEmpty() {
     String[] result = ObjectArrays.concat(new String[] {"a", "b"}, new String[0], String.class);
     assertEquals(String[].class, result.getClass());
     assertThat(result).asList().containsExactly("a", "b").inOrder();
   }
 
-  @GwtIncompatible // ObjectArrays.concat(Object[], Object[], Class)
+  // ObjectArrays.concat(Object[], Object[], Class)
   public void testConcatBasic() {
     String[] result =
         ObjectArrays.concat(new String[] {"a", "b"}, new String[] {"c", "d"}, String.class);
@@ -112,7 +109,7 @@ public class ObjectArraysTest extends TestCase {
     assertThat(result).asList().containsExactly("a", "b", "c", "d").inOrder();
   }
 
-  @GwtIncompatible // ObjectArrays.concat(Object[], Object[], Class)
+  // ObjectArrays.concat(Object[], Object[], Class)
   public void testConcatWithMoreGeneralType() {
     Serializable[] result = ObjectArrays.concat(new String[0], new String[0], Serializable.class);
     assertEquals(Serializable[].class, result.getClass());
diff --git a/guava-tests/test/com/google/common/collect/OrderingTest.java b/guava-tests/test/com/google/common/collect/OrderingTest.java
index 36b63d8..0aae0e9 100644
--- a/guava-tests/test/com/google/common/collect/OrderingTest.java
+++ b/guava-tests/test/com/google/common/collect/OrderingTest.java
@@ -23,8 +23,6 @@ import static com.google.common.testing.SerializableTester.reserializeAndAssert;
 import static com.google.common.truth.Truth.assertThat;
 import static java.util.Arrays.asList;
 
-import com.google.common.annotations.GwtCompatible;
-import com.google.common.annotations.GwtIncompatible;
 import com.google.common.base.Function;
 import com.google.common.base.Functions;
 import com.google.common.collect.Ordering.ArbitraryOrdering;
@@ -41,14 +39,12 @@ import java.util.List;
 import java.util.Random;
 import java.util.RandomAccess;
 import junit.framework.TestCase;
-import org.checkerframework.checker.nullness.qual.Nullable;
 
 /**
  * Unit tests for {@code Ordering}.
  *
  * @author Jesse Wilson
  */
-@GwtCompatible(emulated = true)
 public class OrderingTest extends TestCase {
   // TODO(cpovirk): some of these are inexplicably slow (20-30s) under GWT
 
@@ -680,7 +676,7 @@ public class OrderingTest extends TestCase {
     assertEquals(ImmutableList.of(-1, 3, foo, bar), result);
   }
 
-  @GwtIncompatible // slow
+  // slow
   public void testLeastOf_reconcileAgainstSortAndSublist() {
     runLeastOfComparison(1000, 300, 20);
   }
@@ -853,22 +849,22 @@ public class OrderingTest extends TestCase {
     testExhaustively(Ordering.<String>natural(), "a", "b", "d");
   }
 
-  @GwtIncompatible // too slow
+  // too slow
   public void testCombinationsExhaustively_startingFromExplicit() {
     testExhaustively(Ordering.explicit("a", "b", "c", "d"), "a", "b", "d");
   }
 
-  @GwtIncompatible // too slow
+  // too slow
   public void testCombinationsExhaustively_startingFromUsingToString() {
     testExhaustively(Ordering.usingToString(), 1, 12, 2);
   }
 
-  @GwtIncompatible // too slow
+  // too slow
   public void testCombinationsExhaustively_startingFromFromComparator() {
     testExhaustively(Ordering.from(String.CASE_INSENSITIVE_ORDER), "A", "b", "C", "d");
   }
 
-  @GwtIncompatible // too slow
+  // too slow
   public void testCombinationsExhaustively_startingFromArbitrary() {
     Ordering<Object> arbitrary = Ordering.arbitrary();
     Object[] array = {1, "foo", new Object()};
@@ -1126,7 +1122,7 @@ public class OrderingTest extends TestCase {
     }
   }
 
-  @GwtIncompatible // NullPointerTester
+  // NullPointerTester
   public void testNullPointerExceptions() {
     NullPointerTester tester = new NullPointerTester();
     tester.testAllPublicStaticMethods(Ordering.class);
diff --git a/guava-tests/test/com/google/common/collect/PeekingIteratorTest.java b/guava-tests/test/com/google/common/collect/PeekingIteratorTest.java
index 0f79985..21657d0 100644
--- a/guava-tests/test/com/google/common/collect/PeekingIteratorTest.java
+++ b/guava-tests/test/com/google/common/collect/PeekingIteratorTest.java
@@ -21,8 +21,6 @@ import static com.google.common.collect.testing.IteratorFeature.MODIFIABLE;
 import static com.google.common.collect.testing.IteratorFeature.UNMODIFIABLE;
 import static java.util.Collections.emptyList;
 
-import com.google.common.annotations.GwtCompatible;
-import com.google.common.annotations.GwtIncompatible;
 import com.google.common.collect.testing.IteratorTester;
 import java.util.Collection;
 import java.util.Collections;
@@ -37,7 +35,6 @@ import junit.framework.TestCase;
  * @author Mick Killianey
  */
 @SuppressWarnings("serial") // No serialization is used in this test
-@GwtCompatible(emulated = true)
 public class PeekingIteratorTest extends TestCase {
 
   /**
@@ -97,12 +94,12 @@ public class PeekingIteratorTest extends TestCase {
   }
 
   // TODO(cpovirk): instead of skipping, use a smaller number of steps
-  @GwtIncompatible // works but takes 5 minutes to run
+  // works but takes 5 minutes to run
   public void testPeekingIteratorBehavesLikeIteratorOnThreeElementIterable() {
     actsLikeIteratorHelper(Lists.newArrayList("A", "B", "C"));
   }
 
-  @GwtIncompatible // works but takes 5 minutes to run
+  // works but takes 5 minutes to run
   public void testPeekingIteratorAcceptsNullElements() {
     actsLikeIteratorHelper(Lists.newArrayList(null, "A", null));
   }
diff --git a/guava-tests/test/com/google/common/collect/RangeTest.java b/guava-tests/test/com/google/common/collect/RangeTest.java
index 9a2cd74..f47e818 100644
--- a/guava-tests/test/com/google/common/collect/RangeTest.java
+++ b/guava-tests/test/com/google/common/collect/RangeTest.java
@@ -22,8 +22,6 @@ import static com.google.common.collect.DiscreteDomain.integers;
 import static com.google.common.testing.SerializableTester.reserializeAndAssert;
 import static java.util.Arrays.asList;
 
-import com.google.common.annotations.GwtCompatible;
-import com.google.common.annotations.GwtIncompatible;
 import com.google.common.base.Predicate;
 import com.google.common.collect.testing.Helpers;
 import com.google.common.testing.EqualsTester;
@@ -38,7 +36,6 @@ import junit.framework.TestCase;
  *
  * @author Kevin Bourrillion
  */
-@GwtCompatible(emulated = true)
 public class RangeTest extends TestCase {
   public void testOpen() {
     Range<Integer> range = Range.open(4, 8);
@@ -599,7 +596,7 @@ public class RangeTest extends TestCase {
         .testEquals();
   }
 
-  @GwtIncompatible // TODO(b/148207871): Restore once Eclipse compiler no longer flakes for this.
+  // TODO(b/148207871): Restore once Eclipse compiler no longer flakes for this.
   public void testLegacyComparable() {
     Range<LegacyComparable> range = Range.closed(LegacyComparable.X, LegacyComparable.Y);
   }
diff --git a/guava-tests/test/com/google/common/collect/RegularImmutableAsListTest.java b/guava-tests/test/com/google/common/collect/RegularImmutableAsListTest.java
index b6c2358..5027694 100644
--- a/guava-tests/test/com/google/common/collect/RegularImmutableAsListTest.java
+++ b/guava-tests/test/com/google/common/collect/RegularImmutableAsListTest.java
@@ -14,7 +14,6 @@
 
 package com.google.common.collect;
 
-import com.google.common.annotations.GwtCompatible;
 import junit.framework.TestCase;
 
 /**
@@ -22,7 +21,6 @@ import junit.framework.TestCase;
  *
  * @author Louis Wasserman
  */
-@GwtCompatible
 public class RegularImmutableAsListTest extends TestCase {
   /**
    * RegularImmutableAsList should assume its input is null-free without checking, because it only
diff --git a/guava-tests/test/com/google/common/collect/RegularImmutableTableTest.java b/guava-tests/test/com/google/common/collect/RegularImmutableTableTest.java
index 82d7b39..4dd5f15 100644
--- a/guava-tests/test/com/google/common/collect/RegularImmutableTableTest.java
+++ b/guava-tests/test/com/google/common/collect/RegularImmutableTableTest.java
@@ -18,11 +18,9 @@ package com.google.common.collect;
 
 import static com.google.common.truth.Truth.assertThat;
 
-import com.google.common.annotations.GwtCompatible;
 import com.google.common.collect.Table.Cell;
 
 /** @author Gregory Kick */
-@GwtCompatible
 public class RegularImmutableTableTest extends AbstractImmutableTableTest {
   private static final ImmutableSet<Cell<Character, Integer, String>> CELLS =
       ImmutableSet.of(
diff --git a/guava-tests/test/com/google/common/collect/SetOperationsTest.java b/guava-tests/test/com/google/common/collect/SetOperationsTest.java
index 7a1ec3a..0ab4b68 100644
--- a/guava-tests/test/com/google/common/collect/SetOperationsTest.java
+++ b/guava-tests/test/com/google/common/collect/SetOperationsTest.java
@@ -19,8 +19,6 @@ package com.google.common.collect;
 import static com.google.common.base.Preconditions.checkArgument;
 import static java.util.Arrays.asList;
 
-import com.google.common.annotations.GwtCompatible;
-import com.google.common.annotations.GwtIncompatible;
 import com.google.common.collect.testing.SetTestSuiteBuilder;
 import com.google.common.collect.testing.TestStringSetGenerator;
 import com.google.common.collect.testing.features.CollectionFeature;
@@ -36,9 +34,8 @@ import junit.framework.TestSuite;
  *
  * @author Kevin Bourrillion
  */
-@GwtCompatible(emulated = true)
 public class SetOperationsTest extends TestCase {
-  @GwtIncompatible // suite
+  // suite
   public static Test suite() {
     TestSuite suite = new TestSuite();
 
diff --git a/guava-tests/test/com/google/common/collect/SetsTest.java b/guava-tests/test/com/google/common/collect/SetsTest.java
index 86cb6c8..015d0ef 100644
--- a/guava-tests/test/com/google/common/collect/SetsTest.java
+++ b/guava-tests/test/com/google/common/collect/SetsTest.java
@@ -30,8 +30,6 @@ import static java.io.ObjectStreamConstants.baseWireHandle;
 import static java.util.Collections.emptySet;
 import static java.util.Collections.singleton;
 
-import com.google.common.annotations.GwtCompatible;
-import com.google.common.annotations.GwtIncompatible;
 import com.google.common.base.Predicate;
 import com.google.common.collect.testing.AnEnum;
 import com.google.common.collect.testing.IteratorTester;
@@ -77,7 +75,6 @@ import java.util.stream.Stream;
 import junit.framework.Test;
 import junit.framework.TestCase;
 import junit.framework.TestSuite;
-import org.checkerframework.checker.nullness.qual.Nullable;
 
 /**
  * Unit test for {@code Sets}.
@@ -85,7 +82,6 @@ import org.checkerframework.checker.nullness.qual.Nullable;
  * @author Kevin Bourrillion
  * @author Jared Levy
  */
-@GwtCompatible(emulated = true)
 public class SetsTest extends TestCase {
 
   private static final IteratorTester.KnownOrder KNOWN_ORDER =
@@ -107,7 +103,7 @@ public class SetsTest extends TestCase {
 
   private static final Comparator<Integer> SOME_COMPARATOR = Collections.reverseOrder();
 
-  @GwtIncompatible // suite
+  // suite
   public static Test suite() {
     TestSuite suite = new TestSuite();
     suite.addTestSuite(SetsTest.class);
@@ -219,7 +215,7 @@ public class SetsTest extends TestCase {
     return suite;
   }
 
-  @GwtIncompatible // suite
+  // suite
   private static Test testsForFilter() {
     return SetTestSuiteBuilder.using(
             new TestStringSetGenerator() {
@@ -242,7 +238,7 @@ public class SetsTest extends TestCase {
         .createTestSuite();
   }
 
-  @GwtIncompatible // suite
+  // suite
   private static Test testsForFilterNoNulls() {
     TestSuite suite = new TestSuite();
     suite.addTest(
@@ -293,7 +289,7 @@ public class SetsTest extends TestCase {
     return suite;
   }
 
-  @GwtIncompatible // suite
+  // suite
   private static Test testsForFilterFiltered() {
     return SetTestSuiteBuilder.using(
             new TestStringSetGenerator() {
@@ -353,7 +349,7 @@ public class SetsTest extends TestCase {
     assertThat(units).isEmpty();
   }
 
-  @GwtIncompatible // SerializableTester
+  // SerializableTester
   public void testImmutableEnumSet_serialized() {
     Set<SomeEnum> units = Sets.immutableEnumSet(SomeEnum.D, SomeEnum.B);
 
@@ -374,7 +370,7 @@ public class SetsTest extends TestCase {
     assertThat(two).containsExactly(SomeEnum.B, SomeEnum.D).inOrder();
   }
 
-  @GwtIncompatible // java serialization not supported in GWT.
+  // java serialization not supported in GWT.
   public void testImmutableEnumSet_deserializationMakesDefensiveCopy() throws Exception {
     ImmutableSet<SomeEnum> original = Sets.immutableEnumSet(SomeEnum.A, SomeEnum.B);
     int handleOffset = 6;
@@ -389,7 +385,7 @@ public class SetsTest extends TestCase {
     assertTrue(deserialized.contains(SomeEnum.A));
   }
 
-  @GwtIncompatible // java serialization not supported in GWT.
+  // java serialization not supported in GWT.
   private static byte[] serializeWithBackReference(Object original, int handleOffset)
       throws IOException {
     ByteArrayOutputStream bos = new ByteArrayOutputStream();
@@ -411,7 +407,7 @@ public class SetsTest extends TestCase {
     return out;
   }
 
-  @GwtIncompatible // java.nio.ByteBuffer
+  // java.nio.ByteBuffer
   private static byte[] toByteArray(int h) {
     return ByteBuffer.allocate(4).putInt(h).array();
   }
@@ -577,13 +573,13 @@ public class SetsTest extends TestCase {
     assertEquals(2, set.size());
   }
 
-  @GwtIncompatible // CopyOnWriteArraySet
+  // CopyOnWriteArraySet
   public void testNewCOWASEmpty() {
     CopyOnWriteArraySet<Integer> set = Sets.newCopyOnWriteArraySet();
     verifySetContents(set, EMPTY_COLLECTION);
   }
 
-  @GwtIncompatible // CopyOnWriteArraySet
+  // CopyOnWriteArraySet
   public void testNewCOWASFromIterable() {
     CopyOnWriteArraySet<Integer> set = Sets.newCopyOnWriteArraySet(SOME_ITERABLE);
     verifySetContents(set, SOME_COLLECTION);
@@ -640,7 +636,7 @@ public class SetsTest extends TestCase {
     }
   }
 
-  @GwtIncompatible // NullPointerTester
+  // NullPointerTester
   public void testNullPointerExceptions() {
     new NullPointerTester()
         .setDefault(Enum.class, SomeEnum.A)
@@ -654,7 +650,7 @@ public class SetsTest extends TestCase {
     verifySetContents(set, SOME_COLLECTION);
   }
 
-  @GwtIncompatible // SerializableTester
+  // SerializableTester
   public void testNewSetFromMapSerialization() {
     Set<Integer> set = Sets.newSetFromMap(new LinkedHashMap<Integer, Boolean>());
     set.addAll(SOME_COLLECTION);
@@ -870,7 +866,7 @@ public class SetsTest extends TestCase {
     }
   }
 
-  @GwtIncompatible // too slow for GWT
+  // too slow for GWT
   public void testPowerSetIteration_iteratorTester() {
     ImmutableSet<Integer> elements = ImmutableSet.of(1, 2);
 
@@ -1151,7 +1147,7 @@ public class SetsTest extends TestCase {
     private static final long serialVersionUID = 0;
   }
 
-  @GwtIncompatible // NavigableSet
+  // NavigableSet
   public void testUnmodifiableNavigableSet() {
     TreeSet<Integer> mod = Sets.newTreeSet();
     mod.add(1);
@@ -1218,7 +1214,7 @@ public class SetsTest extends TestCase {
     }
   }
 
-  @GwtIncompatible // NavigableSet
+  // NavigableSet
   void ensureNotDirectlyModifiable(NavigableSet<Integer> unmod) {
     try {
       unmod.add(4);
@@ -1261,7 +1257,7 @@ public class SetsTest extends TestCase {
     }
   }
 
-  @GwtIncompatible // NavigableSet
+  // NavigableSet
   public void testSubSet_boundedRange() {
     ImmutableSortedSet<Integer> set = ImmutableSortedSet.of(2, 4, 6, 8, 10);
     ImmutableSortedSet<Integer> empty = ImmutableSortedSet.of();
@@ -1291,7 +1287,7 @@ public class SetsTest extends TestCase {
     assertEquals(empty, Sets.subSet(set, Range.closedOpen(20, 30)));
   }
 
-  @GwtIncompatible // NavigableSet
+  // NavigableSet
   public void testSubSet_halfBoundedRange() {
     ImmutableSortedSet<Integer> set = ImmutableSortedSet.of(2, 4, 6, 8, 10);
     ImmutableSortedSet<Integer> empty = ImmutableSortedSet.of();
@@ -1317,14 +1313,14 @@ public class SetsTest extends TestCase {
     assertEquals(set, Sets.subSet(set, Range.atMost(20)));
   }
 
-  @GwtIncompatible // NavigableSet
+  // NavigableSet
   public void testSubSet_unboundedRange() {
     ImmutableSortedSet<Integer> set = ImmutableSortedSet.of(2, 4, 6, 8, 10);
 
     assertEquals(set, Sets.subSet(set, Range.<Integer>all()));
   }
 
-  @GwtIncompatible // NavigableSet
+  // NavigableSet
   public void testSubSet_unnaturalOrdering() {
     ImmutableSortedSet<Integer> set =
         ImmutableSortedSet.<Integer>reverseOrder().add(2, 4, 6, 8, 10).build();
diff --git a/guava-tests/test/com/google/common/collect/SimpleAbstractMultisetTest.java b/guava-tests/test/com/google/common/collect/SimpleAbstractMultisetTest.java
index 04f4fe6..44303c4 100644
--- a/guava-tests/test/com/google/common/collect/SimpleAbstractMultisetTest.java
+++ b/guava-tests/test/com/google/common/collect/SimpleAbstractMultisetTest.java
@@ -16,8 +16,6 @@ package com.google.common.collect;
 
 import static com.google.common.base.Preconditions.checkArgument;
 
-import com.google.common.annotations.GwtCompatible;
-import com.google.common.annotations.GwtIncompatible;
 import com.google.common.base.Objects;
 import com.google.common.collect.testing.features.CollectionFeature;
 import com.google.common.collect.testing.features.CollectionSize;
@@ -31,7 +29,6 @@ import java.util.concurrent.atomic.AtomicInteger;
 import junit.framework.Test;
 import junit.framework.TestCase;
 import junit.framework.TestSuite;
-import org.checkerframework.checker.nullness.qual.Nullable;
 
 /**
  * Unit test for {@link AbstractMultiset}.
@@ -40,9 +37,8 @@ import org.checkerframework.checker.nullness.qual.Nullable;
  * @author Louis Wasserman
  */
 @SuppressWarnings("serial") // No serialization is used in this test
-@GwtCompatible(emulated = true)
 public class SimpleAbstractMultisetTest extends TestCase {
-  @GwtIncompatible // suite
+  // suite
   public static Test suite() {
     TestSuite suite = new TestSuite();
     suite.addTestSuite(SimpleAbstractMultisetTest.class);
diff --git a/guava-tests/test/com/google/common/collect/SingletonImmutableTableTest.java b/guava-tests/test/com/google/common/collect/SingletonImmutableTableTest.java
index 16c5ecb..7c432e6 100644
--- a/guava-tests/test/com/google/common/collect/SingletonImmutableTableTest.java
+++ b/guava-tests/test/com/google/common/collect/SingletonImmutableTableTest.java
@@ -18,8 +18,6 @@ package com.google.common.collect;
 
 import static com.google.common.truth.Truth.assertThat;
 
-import com.google.common.annotations.GwtCompatible;
-import com.google.common.annotations.GwtIncompatible;
 import com.google.common.base.Objects;
 import com.google.common.testing.EqualsTester;
 
@@ -28,7 +26,6 @@ import com.google.common.testing.EqualsTester;
  *
  * @author Gregory Kick
  */
-@GwtCompatible(emulated = true)
 public class SingletonImmutableTableTest extends AbstractImmutableTableTest {
   private final ImmutableTable<Character, Integer, String> testTable =
       new SingletonImmutableTable<>('a', 1, "blah");
@@ -75,7 +72,7 @@ public class SingletonImmutableTableTest extends AbstractImmutableTableTest {
         .testEquals();
   }
 
-  @GwtIncompatible // ArrayTable
+  // ArrayTable
   public void testEqualsObjectNullValues() {
     new EqualsTester()
         .addEqualityGroup(testTable)
diff --git a/guava-tests/test/com/google/common/collect/SortedIterablesTest.java b/guava-tests/test/com/google/common/collect/SortedIterablesTest.java
index 543199d..0ff5213 100644
--- a/guava-tests/test/com/google/common/collect/SortedIterablesTest.java
+++ b/guava-tests/test/com/google/common/collect/SortedIterablesTest.java
@@ -14,7 +14,6 @@
 
 package com.google.common.collect;
 
-import com.google.common.annotations.GwtCompatible;
 import java.util.SortedSet;
 import junit.framework.TestCase;
 
@@ -23,7 +22,6 @@ import junit.framework.TestCase;
  *
  * @author Louis Wasserman
  */
-@GwtCompatible
 public class SortedIterablesTest extends TestCase {
   public void testSameComparator() {
     assertTrue(SortedIterables.hasSameComparator(Ordering.natural(), Sets.newTreeSet()));
diff --git a/guava-tests/test/com/google/common/collect/SortedListsTest.java b/guava-tests/test/com/google/common/collect/SortedListsTest.java
index a6cddcb..066b02a 100644
--- a/guava-tests/test/com/google/common/collect/SortedListsTest.java
+++ b/guava-tests/test/com/google/common/collect/SortedListsTest.java
@@ -14,8 +14,6 @@
 
 package com.google.common.collect;
 
-import com.google.common.annotations.GwtCompatible;
-import com.google.common.annotations.GwtIncompatible;
 import com.google.common.collect.SortedLists.KeyAbsentBehavior;
 import com.google.common.collect.SortedLists.KeyPresentBehavior;
 import com.google.common.testing.NullPointerTester;
@@ -27,7 +25,6 @@ import junit.framework.TestCase;
  *
  * @author Louis Wasserman
  */
-@GwtCompatible(emulated = true)
 public class SortedListsTest extends TestCase {
   private static final ImmutableList<Integer> LIST_WITH_DUPS =
       ImmutableList.of(1, 1, 2, 4, 4, 4, 8);
@@ -124,7 +121,7 @@ public class SortedListsTest extends TestCase {
     }
   }
 
-  @GwtIncompatible // NullPointerTester
+  // NullPointerTester
   public void testNulls() {
     new NullPointerTester().testAllPublicStaticMethods(SortedLists.class);
   }
diff --git a/guava-tests/test/com/google/common/collect/StreamsTest.java b/guava-tests/test/com/google/common/collect/StreamsTest.java
index 9d3dab6..d363a1a 100644
--- a/guava-tests/test/com/google/common/collect/StreamsTest.java
+++ b/guava-tests/test/com/google/common/collect/StreamsTest.java
@@ -16,8 +16,6 @@ package com.google.common.collect;
 
 import static com.google.common.collect.Streams.stream;
 
-import com.google.common.annotations.GwtCompatible;
-import com.google.common.annotations.GwtIncompatible;
 import com.google.common.collect.testing.SpliteratorTester;
 import com.google.common.primitives.Doubles;
 import com.google.common.truth.IterableSubject;
@@ -39,7 +37,6 @@ import java.util.stream.Stream;
 import junit.framework.TestCase;
 
 /** Unit test for {@link Streams}. */
-@GwtCompatible(emulated = true)
 public class StreamsTest extends TestCase {
   /*
    * Full and proper black-box testing of a Stream-returning method is extremely involved, and is
@@ -294,7 +291,7 @@ public class StreamsTest extends TestCase {
     Truth.assertThat(longStreamCloseCount.get()).isEqualTo(1);
   }
 
-  @GwtIncompatible // TODO(b/38490623): reenable after GWT double-to-string conversion is fixed
+  // TODO(b/38490623): reenable after GWT double-to-string conversion is fixed
   public void testMapWithIndex_doubleStream() {
     SpliteratorTester.of(
             () ->
diff --git a/guava-tests/test/com/google/common/collect/SubMapMultimapAsMapImplementsMapTest.java b/guava-tests/test/com/google/common/collect/SubMapMultimapAsMapImplementsMapTest.java
index 1cb7abc..25f9114 100644
--- a/guava-tests/test/com/google/common/collect/SubMapMultimapAsMapImplementsMapTest.java
+++ b/guava-tests/test/com/google/common/collect/SubMapMultimapAsMapImplementsMapTest.java
@@ -16,7 +16,6 @@
 
 package com.google.common.collect;
 
-import com.google.common.annotations.GwtCompatible;
 import com.google.common.collect.testing.MapInterfaceTest;
 import java.util.Collection;
 import java.util.Collections;
@@ -27,7 +26,6 @@ import java.util.Map;
  *
  * @author Jared Levy
  */
-@GwtCompatible
 public class SubMapMultimapAsMapImplementsMapTest extends AbstractMultimapAsMapImplementsMapTest {
 
   public SubMapMultimapAsMapImplementsMapTest() {
diff --git a/guava-tests/test/com/google/common/collect/SynchronizedMultimapTest.java b/guava-tests/test/com/google/common/collect/SynchronizedMultimapTest.java
index 6475dad..1a07357 100644
--- a/guava-tests/test/com/google/common/collect/SynchronizedMultimapTest.java
+++ b/guava-tests/test/com/google/common/collect/SynchronizedMultimapTest.java
@@ -33,7 +33,6 @@ import java.util.Set;
 import junit.framework.Test;
 import junit.framework.TestCase;
 import junit.framework.TestSuite;
-import org.checkerframework.checker.nullness.qual.Nullable;
 
 /**
  * Tests for {@code Synchronized#multimap}.
diff --git a/guava-tests/test/com/google/common/collect/SynchronizedSetTest.java b/guava-tests/test/com/google/common/collect/SynchronizedSetTest.java
index 313a94f..b8bf37e 100644
--- a/guava-tests/test/com/google/common/collect/SynchronizedSetTest.java
+++ b/guava-tests/test/com/google/common/collect/SynchronizedSetTest.java
@@ -27,7 +27,6 @@ import java.util.HashSet;
 import java.util.Set;
 import junit.framework.Test;
 import junit.framework.TestCase;
-import org.checkerframework.checker.nullness.qual.Nullable;
 
 /**
  * Tests for {@code Synchronized#set}.
diff --git a/guava-tests/test/com/google/common/collect/SynchronizedTableTest.java b/guava-tests/test/com/google/common/collect/SynchronizedTableTest.java
index 934ad7a..c62d292 100644
--- a/guava-tests/test/com/google/common/collect/SynchronizedTableTest.java
+++ b/guava-tests/test/com/google/common/collect/SynchronizedTableTest.java
@@ -20,7 +20,6 @@ import java.io.Serializable;
 import java.util.Collection;
 import java.util.Map;
 import java.util.Set;
-import org.checkerframework.checker.nullness.qual.Nullable;
 
 public class SynchronizedTableTest extends AbstractTableTest {
   private static final class TestTable<R, C, V> implements Table<R, C, V>, Serializable {
diff --git a/guava-tests/test/com/google/common/collect/TableCollectionTest.java b/guava-tests/test/com/google/common/collect/TableCollectionTest.java
index 7c94444..5bca5d6 100644
--- a/guava-tests/test/com/google/common/collect/TableCollectionTest.java
+++ b/guava-tests/test/com/google/common/collect/TableCollectionTest.java
@@ -18,8 +18,6 @@ package com.google.common.collect;
 
 import static com.google.common.base.Preconditions.checkNotNull;
 
-import com.google.common.annotations.GwtCompatible;
-import com.google.common.annotations.GwtIncompatible;
 import com.google.common.base.Function;
 import com.google.common.base.Functions;
 import com.google.common.collect.Table.Cell;
@@ -53,7 +51,6 @@ import junit.framework.TestSuite;
  * @author Jared Levy
  * @author Louis Wasserman
  */
-@GwtCompatible(emulated = true)
 public class TableCollectionTest extends TestCase {
 
   private static final Feature<?>[] COLLECTION_FEATURES = {
@@ -75,7 +72,7 @@ public class TableCollectionTest extends TestCase {
     CollectionFeature.ALLOWS_NULL_QUERIES
   };
 
-  @GwtIncompatible // suite
+  // suite
   public static Test suite() {
     TestSuite suite = new TestSuite();
     suite.addTestSuite(ArrayRowTests.class);
@@ -798,7 +795,7 @@ public class TableCollectionTest extends TestCase {
     }
   }
 
-  @GwtIncompatible // TODO(hhchan): ArrayTable
+  // TODO(hhchan): ArrayTable
   public static class ArrayRowTests extends RowTests {
     public ArrayRowTests() {
       super(true, true, false, false, false);
@@ -957,7 +954,7 @@ public class TableCollectionTest extends TestCase {
     }
   }
 
-  @GwtIncompatible // TODO(hhchan): ArrayTable
+  // TODO(hhchan): ArrayTable
   public static class ArrayColumnTests extends ColumnTests {
     public ArrayColumnTests() {
       super(true, true, false, false, false);
@@ -1166,7 +1163,7 @@ public class TableCollectionTest extends TestCase {
     }
   }
 
-  @GwtIncompatible // TODO(hhchan): ArrayTable
+  // TODO(hhchan): ArrayTable
   public static class ArrayRowMapTests extends RowMapTests {
     public ArrayRowMapTests() {
       super(true, false, false, false);
@@ -1393,7 +1390,7 @@ public class TableCollectionTest extends TestCase {
     }
   }
 
-  @GwtIncompatible // TODO(hhchan): ArrayTable
+  // TODO(hhchan): ArrayTable
   public static class ArrayColumnMapTests extends ColumnMapTests {
     public ArrayColumnMapTests() {
       super(true, false, false, false);
diff --git a/guava-tests/test/com/google/common/collect/TableCollectorsTest.java b/guava-tests/test/com/google/common/collect/TableCollectorsTest.java
index 98b7074..dbad64c 100644
--- a/guava-tests/test/com/google/common/collect/TableCollectorsTest.java
+++ b/guava-tests/test/com/google/common/collect/TableCollectorsTest.java
@@ -18,7 +18,6 @@ package com.google.common.collect;
 
 import static com.google.common.collect.Tables.immutableCell;
 
-import com.google.common.annotations.GwtCompatible;
 import com.google.common.base.Equivalence;
 import com.google.common.base.Function;
 import com.google.common.base.MoreObjects;
@@ -30,7 +29,6 @@ import java.util.stream.Stream;
 import junit.framework.TestCase;
 
 /** Unit tests for {@link TableCollectors}. */
-@GwtCompatible(emulated = true)
 public class TableCollectorsTest {
 
   public static final class ToImmutableTableTest extends TestCase {
